Name:          fedora-toolbox
Version:       0.0.3
Release:       1%{?dist}
Summary:       Toolbox containers & images for hacking on OSTree-based Fedoras

License:       ASL 2.0
URL:           https://github.com/debarshiray/fedora-toolbox
Source0:       https://github.com/debarshiray/%{name}/releases/download/%{version}/%{name}-%{version}.tar.xz

BuildArch:     noarch
# buildah and podman only work on the following architectures:
ExclusiveArch: aarch64 %{arm} ppc64le s390x x86_64

BuildRequires: meson

Requires:      buildah
Requires:      podman


%description
Fedora Toolbox is a tool that offers a familiar RPM based environment for
developing and debugging software on locked down OSTree based Fedora systems
like Silverblue. Such operating systems are shipped as immutable OSTree
images, where it's difficult to setup a development environment with your
favorite tools, editors and SDKs. A toolbox container solves that problem by
providing a RPM based mutable container. You can tweak it to your heart's
content and use DNF to install your favorite packages, all without worrying
about breaking your operating system.


%prep
%autosetup


%build
%meson --buildtype=plain
%meson_build


%install
%meson_install


%files
%doc NEWS README.md
%license COPYING
%{_bindir}/%{name}


%changelog
* Fri Jan 04 2019 Debarshi Ray <rishi@fedoraproject.org> - 0.0.3-1
- Update to 0.0.3

* Mon Nov 12 2018 Debarshi Ray <rishi@fedoraproject.org> - 0.0.2-1
- Update to 0.0.2

* Mon Oct 22 2018 Debarshi Ray <rishi@fedoraproject.org> - 0.0.1-1
- Initial build
